summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@xsmail.com>2010-05-13 00:25:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:25:40 +0200
commitf480ee86f67d39ab7962e81f6ca7264c9f4ff710 (patch)
treea16d51c314af8b5d0b1bd374b6108464c2f852cd /development
parent453234ef0fe02660b007d0183f7f280013ea58c2 (diff)
downloadslackbuilds-f480ee86f67d39ab7962e81f6ca7264c9f4ff710.tar.gz
slackbuilds-f480ee86f67d39ab7962e81f6ca7264c9f4ff710.tar.xz
development/tig: Updated for version 0.15
Diffstat (limited to 'development')
-rw-r--r--development/tig/doinst.sh2
-rw-r--r--development/tig/slack-desc8
-rw-r--r--development/tig/tig.SlackBuild45
-rw-r--r--development/tig/tig.info12
4 files changed, 42 insertions, 25 deletions
diff --git a/development/tig/doinst.sh b/development/tig/doinst.sh
index a39b214088..bcd4e39990 100644
--- a/development/tig/doinst.sh
+++ b/development/tig/doinst.sh
@@ -1,5 +1,3 @@
-#!/bin/sh
-
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
diff --git a/development/tig/slack-desc b/development/tig/slack-desc
index 1f7bf7559b..aa7546a0e4 100644
--- a/development/tig/slack-desc
+++ b/development/tig/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler-----------------------------------------------------------|
tig: tig (ncurses interface for git)
tig:
tig: tig is a git repository browser that additionally can act as a pager
@@ -13,7 +13,7 @@ tig: for output from various git commands.
tig: When browsing repositories, it uses the underlying git commands to
tig: present the user with various views, such as summarized revision log
tig: and showing the commit with the log message, diffstat, and the diff.
-tig:
+tig:
tig: Homepage: http://jonas.nitro.dk/tig/
-tig:
-tig:
+tig:
+tig:
diff --git a/development/tig/tig.SlackBuild b/development/tig/tig.SlackBuild
index 88354c7407..dcc67b7843 100644
--- a/development/tig/tig.SlackBuild
+++ b/development/tig/tig.SlackBuild
@@ -1,10 +1,26 @@
#!/bin/sh
-
# Slackware build script for tig
-# Written by Grigorios Bouzakis (grbzks@gmail.com)
+
+# Copyright 2008-2009 Grigorios Bouzakis <grbzks@xsmail.com>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=tig
-VERSION=${VERSION:-0.14.1}
+VERSION=${VERSION:-0.15}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -16,10 +32,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
DOCS="BUGS COPYING INSTALL NEWS README SITES TODO VERSION"
@@ -43,20 +62,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install install-doc DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+mkdir -p $PKG/etc
+cat contrib/tigrc > $PKG/etc/tigrc.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -67,12 +87,9 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-mkdir -p $PKG/etc
-cat contrib/tigrc > $PKG/etc/tigrc.new
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/tig/tig.info b/development/tig/tig.info
index 0f9037ac7c..24517c536a 100644
--- a/development/tig/tig.info
+++ b/development/tig/tig.info
@@ -1,8 +1,10 @@
PRGNAM="tig"
-VERSION="0.14.1"
+VERSION="0.15"
HOMEPAGE="http://jonas.nitro.dk/tig/"
-DOWNLOAD="http://jonas.nitro.dk/tig/releases/tig-0.14.1.tar.gz"
-MD5SUM="e47bf48813c0cbe6be0f3b749e6de96c"
+DOWNLOAD="http://jonas.nitro.dk/tig/releases/tig-0.15.tar.gz"
+MD5SUM="8f373a99823f6db241b66642075657d3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Grigorios Bouzakis"
-EMAIL="grbzks@gmail.com"
-APPROVED="dsomero"
+EMAIL="grbzks@xsmail.com"
+APPROVED="rworkman"